package com.ruoyi.project.sems.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.framework.aspectj.lang.annotation.DataScopePlant;
import com.ruoyi.project.sems.domain.DevData;
import com.ruoyi.project.sems.domain.TSpecdevCc;
import com.ruoyi.project.sems.domain.TSpecdevDt;
import com.ruoyi.project.sems.his.domain.TSpechiDt;

/**
 * 特种设备电梯台账Mapper接口
 *
 * @author ruoyi
 * @date 2021-07-26
 */
public interface TSpecdevDtMapper extends BaseMapper<TSpecdevDt>
{
    /**
     * 查询特种设备电梯台账
     *
     * @param id 特种设备电梯台账ID
     * @return 特种设备电梯台账
     */
    public TSpecdevDt selectTSpecdevDtById(Long id);

    /**
     * 查询特种设备电梯台账列表
     *
     * @param tSpecdevDt 特种设备电梯台账
     * @return 特种设备电梯台账集合
     */
    @DataScopePlant(deptAlias = "d")
    public List<TSpecdevDt> selectTSpecdevDtList(TSpecdevDt tSpecdevDt);

    List<TSpecdevDt> selectTSpecdevDtListByYear(TSpecdevDt tSpecdevDt);
    /**
     * 新增特种设备电梯台账
     *
     * @param tSpecdevDt 特种设备电梯台账
     * @return 结果
     */
    public int insertTSpecdevDt(TSpecdevDt tSpecdevDt);

    /**
     * 修改特种设备电梯台账
     *
     * @param tSpecdevDt 特种设备电梯台账
     * @return 结果
     */
    public int updateTSpecdevDt(TSpecdevDt tSpecdevDt);

    /**
     * 删除特种设备电梯台账
     *
     * @param id 特种设备电梯台账ID
     * @return 结果
     */
    public int deleteTSpecdevDtById(Long id);

    /**
     * 批量删除特种设备电梯台账
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpecdevDtByIds(Long[] ids);

    List<DevData> otherDevCount(Map<String, Object> params);

    int updateTSpecdevDtByHi(TSpechiDt hientity);


    void duplicateTSpecdevDt();

    List<TSpecdevDt> selectExpiredDt(Integer month);

    void updateTSpecdevDtByIds(TSpecdevDt tSpecdevDt);

    List<TSpecdevDt> selectTSpecdevDtListByDevNo(TSpecdevDt param);
}
